<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: config.inc.php 88 2010-04-12 21:37:21Z egalstad $

// base url
$cfg['base_url']="/nagiosxi";  // do not include http(s) or host name - this is the base from "http://localhost"

// base root directory where XI is installed
$cfg['root_dir']="/usr/local/nagiosxi";

// directory where scripts are installed
$cfg['script_dir']="/usr/local/nagiosxi/scripts";

// nom checkpoints
$cfg['nom_checkpoints_dir']="/usr/local/nagiosxi/nom/checkpoints/nagioscore/";

// default server, db, connection settings
$cfg['dbtype']='';
$cfg['dbserver']='localhost';

// db-specific connection information
$cfg['db_info']=array(
	"nagiosxi" => array(
		"dbtype" => 'pgsql',
		"dbserver" => 'localhost',
		"user" => 'nagiosxi',
		"pwd" => 'n@gweb',
		"db" => 'nagiosxi',
		"dbmaint" => array(		// variables affecting maintenance of db
			"max_commands_age" => 480, // max time (minutes) to keep commands
			"max_events_age" => 480, // max time (minutes) to keep events
			"optimize_interval" => 60, // time (in minutes) between db optimization runs
			"repair_interval" => 120, // time (in minutes) between db repair runs
			),
		),
	"ndoutils" => array(
		"dbtype" => 'mysql',
		"dbserver" => 'localhost',
		"user" => 'ndoutils',
		"pwd" => 'n@gweb',
		"db" => 'nagios',
		"dbmaint" => array(		// variables affecting maintenance of ndoutils db
			"max_timedevents_age" => 5, // max time (minutes) to keep timed events
			"max_systemcommands_age" => 5, // max time (minutes) to keep system commands
			"max_servicechecks_age" => 5, // max time (minutes) to keep service checks
			"max_hostchecks_age" => 5, // max time (minutes) to keep host checks
			"max_eventhandlers_age" => 5, // max time (minutes) to keep event handlers
			"optimize_interval" => 60, // time (in minutes) between db optimization runs
			"repair_interval" => 120, // time (in minutes) between db repair runs
			),
		),
	"nagiosql" => array(
		"dbtype" => 'mysql',
		"dbserver" => 'localhost',
		"user" => 'nagiosql',
		"pwd" => 'n@gweb',
		"db" => 'nagiosql',
		"dbmaint" => array(		// variables affecting maintenance of db
			"max_logbook_age" => 480, // max time (minutes) to keep log book records
			"optimize_interval" => 60, // time (in minutes) between db optimization runs
			"repair_interval" => 120, // time (in minutes) between db repair runs
			),
		),
	);

// db-specific table prefixes
$cfg['db_prefix']=array(
	"ndoutils" => "nagios_",    // prefix for NDOUtils tables
	"nagiosxi" => "xi_",		// prefix for XI tables
	"nagiosql" => "tbl_",		// prefix for NagiosQL tables
	);

// component info
$cfg['component_info']=array(
	"nagioscore" => array(
		"cgi_dir" => "/usr/local/nagios/sbin",
		"import_dir" => "/usr/local/nagios/etc/import",
		"plugin_dir" => "/usr/local/nagios/libexec",
		"cgi_config_file" => "/usr/local/nagios/etc/cgi.cfg",
		"cmd_file" => "/usr/local/nagios/var/rw/nagios.cmd",
		"nom_checkpoint_interval" => 1440, // time (in minutes) between nom checkpoints
		),
	"pnp" => array(
		"perfdata_dir" => "/usr/local/nagios/share/perfdata",
		"share_dir" => "/usr/local/nagios/share/pnp",
		"direct_url" => "/nagios/pnp",
		"username" => 'nagiosadmin', // don't change this!
		"password" => 'nagiosadmin', // this gets reset when security credentials are reset after installation
		),
	"nagiosql" => array(
		"dir" => "/var/www/html/nagiosql",
		"direct_url" => "/nagiosql",
		"username" => 'nagiosxi', // don't change this!
		"password" => 'n@gweb',  // this gets reset when security credentials are reset after installation
		),
	"nagvis" => array(
		"share_dir" => "/usr/local/nagios/share/nagvis",
		"direct_url" => "/nagios/nagvis",
		"username" => 'nagiosadmin', // don't change this!
		"password" => 'nagiosadmin', // this gets reset when security credentials are reset after installation
		),
	);

$cfg['demo_mode']=false; // is this in demo mode

$cfg['default_language']='en';	// default language
$cfg['default_theme']='';	// default theme

// available languages
$cfg['languages']=array(
	"en" => "English",
	);


/*********   DO NOT MODIFY ANYTHING BELOW THIS LINE   **********/

$cfg['default_instance_id']=1;  // default ndoutils instance to read from
$cfg['default_result_records']=100000;  // max number of records to return by default

$cfg['online_help_url']="http://support.nagios.com/"; // comment this out to disable online help links
$cfg['feedback_url']="http://api.nagios.com/feedback/";
$cfg['privacy_policy_url']="http://www.nagios.com/legal/privacypolicy/";

//$cfg['db_version']=101;
$cfg['db_version']=113;
//$cfg['product_version']='2009RC1';

$cfg['subsystem_ticket']="12345";  // default - this gets reset...

$cfg['htaccess_file']="/usr/local/nagiosxi/etc/htpasswd.users";
$cfg['htpasswd_path']="/usr/bin/htpasswd";




///////// keep these in order /////////

// include generic db defs
require_once(dirname(__FILE__).'/includes/db.inc.php');

// include generic  definitions
require_once(dirname(__FILE__).'/db/common.inc.php');
// include db-specific definitions
//require_once(dirname(__FILE__).'/db/'.$cfg['dbtype'].'.inc.php');

?>